Bug 17185 - Staff client shows "Lists that include this title:" even if item is not in a list
Summary: Staff client shows "Lists that include this title:" even if item is not in a ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Keywords:
Depends on: 14544
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-24 08:24 UTC by Andreas Roussos
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot of staff client showing the error (69.23 KB, image/png)
2016-08-24 08:24 UTC, Andreas Roussos
Details
Bug 17185: Staff client shows "Lists that include this title:" even if item is not in a list (1.53 KB, patch)
2016-08-24 14:13 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 17185: Staff client shows "Lists that include this title:" even if item is not in a list (1.66 KB, patch)
2016-08-24 14:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17185: Staff client shows "Lists that include this title:" even if item is not in a list (1.67 KB, patch)
2016-08-24 14:53 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2016-08-24 08:24:16 UTC
Created attachment 54805 [details]
screenshot of staff client showing the error

In the staff client, the text "Lists that include this title:" is always shown, regardless of whether the item is in a list or not (please see attached screenshot).

I've found a way to fix this, and will attach a patch using git bz.

This is my first bug report so please be gentle :-)
Comment 1 Andreas Roussos 2016-08-24 14:13:52 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2016-08-24 14:45:49 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2016-08-24 14:53:20 UTC
Created attachment 54834 [details] [review]
Bug 17185: Staff client shows "Lists that include this title:" even if item is not in a list

In the staff client, the text "Lists that include this title:"
is always shown, regardless of whether the item is in a list
or not. This patch fixes that.

Test plan:
1) Log in to staff client.
2) Go to biblio details view:
   /cgi-bin/koha/catalogue/detail.pl?biblionumber=X
   Confirm that "Lists that include this title:" is
   shown even if the item is not in a list.
3) Apply the patch.
4) Repeat step 2. Confirm that the patch works, i.e.
   "Lists that include this title:" is only shown
   for biblios that are actually in a list.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Only applies to non-XSLT view.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-09-02 16:50:34 UTC
Pushed to master for 16.11, thanks Andreas!
Comment 5 Frédéric Demians 2016-09-08 20:01:53 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 08:01:33 UTC
Pushed to 3.22.x, will be in 3.22.11